=== debian/changelog ===
ros-kinetic-moveit-ros-visualization (0.9.18-1xenial) xenial; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Thu, 23 Jan 2020 23:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.17-1xenial) xenial; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 08 Jul 2019 22:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.16-1xenial) xenial; urgency=high

  * [maintanance] Resolve catkin lint issues (#1137 <https://github.com/ros-planning/moveit/issues/1137>)
  * [maintanance] Improve clang-format (#1214 <https://github.com/ros-planning/moveit/issues/1214>)
  * [fix]         Fix issues in rendering of attached bodies (#1199 <https://github.com/ros-planning/moveit/issues/1199>)
  * Contributors: Ludovic Delval, Robert Haschke, Sven Krause

 -- Jon Binney <jon.binney@gmail.com>  Fri, 28 Jun 2019 22:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.15-1xenial) xenial; urgency=high

  * [improvement] Exploit the fact that our transforms are isometries (instead of general affine transformations). #1091 <https://github.com/ros-planning/moveit/issues/1091>
  * [maintenance] Store more settings of rviz' PlanningFrame (#1135 <https://github.com/ros-planning/moveit/issues/1135>)
  * [code] cleanup, improvements (#1141 <https://github.com/ros-planning/moveit/issues/1141>)
  * Contributors: Alexander Gutenkunst, Jonathan Hechtbauer, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.14-1xenial) xenial; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.13-1xenial) xenial; urgency=high

  * [fix] build issue in boost/thread/mutex.hpp (#1055 <https://github.com/ros-planning/moveit/issues/1055>)
  * [fix] optional namespace args (#929 <https://github.com/ros-planning/moveit/issues/929>)
  * [maintenance] Python3 support (#1103 <https://github.com/ros-planning/moveit/issues/1103>, #1054 <https://github.com/ros-planning/moveit/issues/1054>)
  * [maintenance] add minimum required pluginlib version (#927 <https://github.com/ros-planning/moveit/issues/927>)
  * Contributors: Michael Görner, Mikael Arguedas, Mohmmad Ayman, Robert Haschke, Timon Engelke, mike lautman

 -- Jon Binney <jon.binney@gmail.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.12-1xenial) xenial; urgency=high

  * [maintenance] Reduce vertical size of Rviz MotionPlanning Window (#891 <https://github.com/ros-planning/moveit/issues/891>)
  * [feature] rviz plugin: set start/goal RobotState from external (#823 <https://github.com/ros-planning/moveit/issues/823>)
    - /rviz/moveit/update_custom_start_state
    - /rviz/moveit/update_custom_goal_state
    stopping from external:
    - /rviz/moveit/stop
  * [feature] namespace capabilities for moveit_commander (#835 <https://github.com/ros-planning/moveit/issues/835>)
  * [fix] consider shape transform for OcTree
  * [fix] realtime trajectory display (#761 <https://github.com/ros-planning/moveit/issues/761>)
  * Contributors: Alexander Rössler, Dave Coleman, Ian McMahon, Mikael Arguedas, Pan Hy, Phy, Robert Haschke, Will Baker

 -- Jon Binney <jon.binney@gmail.com>  Mon, 28 May 2018 22:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.11-1xenial) xenial; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.10-1xenial) xenial; urgency=high

  * [fix] don't crash on empty robot_description in RobotState plugin #688 <https://github.com/ros-planning/moveit/issues/688>
  * [fix] RobotState rviz previewer: First message from e.g. latching publishers is not applied to robot state correctly (#596 <https://github.com/ros-planning/moveit/issues/596>)
  * [doc] Document auto scale in Rviz plugin (#602 <https://github.com/ros-planning/moveit/issues/602>)
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Simon Schmeisser, axelschroth

 -- Jon Binney <jon.binney@gmail.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.9-1xenial) xenial; urgency=high

  * [fix] RobotStateVisualization: clear before load to avoid segfault #572 <https://github.com/ros-planning/moveit/pull/572>
  * Contributors: v4hn

 -- Jon Binney <jon.binney@gmail.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.8-1xenial) xenial; urgency=high

  * [fix] TrajectoryVisualization crash if no window_context exists (#523 <https://github.com/ros-planning/moveit/issues/523>, #525 <https://github.com/ros-planning/moveit/issues/525>)
  * [fix] robot display: Don't reload robot model upon topic change (Fixes #528 <https://github.com/ros-planning/moveit/issues/528>)
  * [build] add Qt-moc guards for boost 1.64 compatibility (#534 <https://github.com/ros-planning/moveit/issues/534>)
  * [enhance] rviz display: stop trajectory visualization on new plan. Fixes #526 <https://github.com/ros-planning/moveit/issues/526> (#531 <https://github.com/ros-planning/moveit/issues/531>, #510 <https://github.com/ros-planning/moveit/issues/510>).
  * Contributors: Isaac I.Y. Saito, Simon Schmeisser, Yannick Jonetzko, henhenhen, v4hn

 -- Jon Binney <jon.binney@gmail.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.7-1xenial) xenial; urgency=high

  * [capability] New panel with a slider to control the visualized trajectory (#491 <https://github.com/ros-planning/moveit/issues/491>) (#508 <https://github.com/ros-planning/moveit/issues/508>)
  * [fix] Build for Ubuntu YZ by adding BOOST_MATH_DISABLE_FLOAT128 (#505 <https://github.com/ros-planning/moveit/issues/505>)
  * Contributors: Dave Coleman, Mikael Arguedas

 -- Jon Binney <jon.binney@gmail.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-kinetic-moveit-ros-visualization (0.9.6-1xenial) xenial; urgency=high

  * [fix] RViz plugin some cosmetics and minor refactoring #482 <https://github.com/ros-planning/moveit/issues/482>

