=== debian/control ===
Source: ros-kinetic-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, pkg-config, ros-kinetic-catkin, ros-kinetic-class-loader, ros-kinetic-eigen-conversions, ros-kinetic-geometric-shapes, ros-kinetic-interactive-markers, ros-kinetic-moveit-ros-perception, ros-kinetic-moveit-ros-planning-interface, ros-kinetic-moveit-ros-robot-interaction, ros-kinetic-moveit-ros-warehouse, ros-kinetic-object-recognition-msgs, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-rviz, ros-kinetic-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometric-shapes, ros-kinetic-interactive-markers, ros-kinetic-moveit-ros-perception, ros-kinetic-moveit-ros-planning-interface, ros-kinetic-moveit-ros-robot-interaction, ros-kinetic-moveit-ros-warehouse, ros-kinetic-object-recognition-msgs, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rviz
Description: Components of MoveIt! that offer visualization
